Which tablets can I buy myself for use with AutoServe1?

Follow

We currently recommend purchasing the following tablets which can be found online:

  • **NEW** Samsung Galaxy Tab A 10.5 2018 (SM-T590)
  • Samsung Galaxy Tab A 10.1 2016 with S-PEN (SM-P580)
  • Samsung Galaxy Tab S2 8.0 (SM-T713) *No Flash*
  • Samsung Galaxy Tab S2 9.7 (SM-T813) *No Flash*
  • iPad 9.7 2018

We recommend that the tablets purchased to have no less than 3GB RAM for Android devices, and 2GB for Apple tablets.

iPhone X is currently not compatible with AutoServe1

For Cases we recommend purchasing BobJGear, Poetic, or Otterbox cases.

If you have any other questions, please contact support
Phone: 1-800-268-3437
Email: help@autoserve1.com
Online: https://autoserve1.zendesk.com/hc/en-us/requests/new

Was this article helpful?
0 out of 0 found this helpful

Comments